package com.diagbot.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 死亡病例讨论记录
 * </p>
 *
 * @author cy
 * @time: 2024-10-09
 */
public class StrDeathDiscussion implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 病历日期
     */
    private Date recordDate;

    /**
     * 标题
     */
    private String recTitle;

    /**
     * 入院诊断
     */
    private String tentativeDiagnosis;

    /**
     * 死亡诊断
     */
    private String deathDiagnosis;

    /**
     * 死亡原因
     */
    private String deathReason;

    /**
     * 死亡时间
     */
    private Date deathDate;

    /**
     * 讨论时间
     */
    private Date discussDate;

    /**
     * 讨论地点
     */
    private String discussPlace;

    /**
     * 主持人
     */
    private String anchor;

    /**
     * 参加人员
     */
    private String participant;

    /**
     * 病史简介
     */
    private String briefHistory;

    /**
     * 讨论内容
     */
    private String discussionContent;

    /**
     * 主持人小结
     */
    private String anchorConclusion;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private Date recDate;

    /**
     * 审核医生
     */
    private String auditDoctor;

    /**
     * 审核时间
     */
    private Date auditDate;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间
     */
    private Date gmtModified;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 修改人
     */
    private String modifier;

    public String getRecId() {
        return recId;
    }

    public void setRecId(String recId) {
        this.recId = recId;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }
    public String getBedNo() {
        return bedNo;
    }

    public void setBedNo(String bedNo) {
        this.bedNo = bedNo;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public Date getRecordDate() {
        return recordDate;
    }

    public void setRecordDate(Date recordDate) {
        this.recordDate = recordDate;
    }
    public String getRecTitle() {
        return recTitle;
    }

    public void setRecTitle(String recTitle) {
        this.recTitle = recTitle;
    }
    public String getTentativeDiagnosis() {
        return tentativeDiagnosis;
    }

    public void setTentativeDiagnosis(String tentativeDiagnosis) {
        this.tentativeDiagnosis = tentativeDiagnosis;
    }
    public String getDeathDiagnosis() {
        return deathDiagnosis;
    }

    public void setDeathDiagnosis(String deathDiagnosis) {
        this.deathDiagnosis = deathDiagnosis;
    }
    public String getDeathReason() {
        return deathReason;
    }

    public void setDeathReason(String deathReason) {
        this.deathReason = deathReason;
    }
    public Date getDeathDate() {
        return deathDate;
    }

    public void setDeathDate(Date deathDate) {
        this.deathDate = deathDate;
    }
    public Date getDiscussDate() {
        return discussDate;
    }

    public void setDiscussDate(Date discussDate) {
        this.discussDate = discussDate;
    }
    public String getDiscussPlace() {
        return discussPlace;
    }

    public void setDiscussPlace(String discussPlace) {
        this.discussPlace = discussPlace;
    }
    public String getAnchor() {
        return anchor;
    }

    public void setAnchor(String anchor) {
        this.anchor = anchor;
    }
    public String getParticipant() {
        return participant;
    }

    public void setParticipant(String participant) {
        this.participant = participant;
    }
    public String getBriefHistory() {
        return briefHistory;
    }

    public void setBriefHistory(String briefHistory) {
        this.briefHistory = briefHistory;
    }
    public String getDiscussionContent() {
        return discussionContent;
    }

    public void setDiscussionContent(String discussionContent) {
        this.discussionContent = discussionContent;
    }
    public String getAnchorConclusion() {
        return anchorConclusion;
    }

    public void setAnchorConclusion(String anchorConclusion) {
        this.anchorConclusion = anchorConclusion;
    }
    public String getRecDoctor() {
        return recDoctor;
    }

    public void setRecDoctor(String recDoctor) {
        this.recDoctor = recDoctor;
    }
    public Date getRecDate() {
        return recDate;
    }

    public void setRecDate(Date recDate) {
        this.recDate = recDate;
    }
    public String getAuditDoctor() {
        return auditDoctor;
    }

    public void setAuditDoctor(String auditDoctor) {
        this.auditDoctor = auditDoctor;
    }
    public Date getAuditDate() {
        return auditDate;
    }

    public void setAuditDate(Date auditDate) {
        this.auditDate = auditDate;
    }
    public String getWholeData() {
        return wholeData;
    }

    public void setWholeData(String wholeData) {
        this.wholeData = wholeData;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "StrDeathDiscussion{" +
            "recId=" + recId +
            ", hospitalId=" + hospitalId +
            ", behospitalCode=" + behospitalCode +
            ", name=" + name +
            ", sex=" + sex +
            ", age=" + age +
            ", bedNo=" + bedNo +
            ", deptName=" + deptName +
            ", recordDate=" + recordDate +
            ", recTitle=" + recTitle +
            ", tentativeDiagnosis=" + tentativeDiagnosis +
            ", deathDiagnosis=" + deathDiagnosis +
            ", deathReason=" + deathReason +
            ", deathDate=" + deathDate +
            ", discussDate=" + discussDate +
            ", discussPlace=" + discussPlace +
            ", anchor=" + anchor +
            ", participant=" + participant +
            ", briefHistory=" + briefHistory +
            ", discussionContent=" + discussionContent +
            ", anchorConclusion=" + anchorConclusion +
            ", recDoctor=" + recDoctor +
            ", recDate=" + recDate +
            ", auditDoctor=" + auditDoctor +
            ", auditDate=" + auditDate +
            ", wholeData=" + wholeData +
            ", remark=" + remark +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
        "}";
    }
}
